/* ========================================
 *  RightoMono - RightoMono.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __RightoMono_RightoMono_H
#define __RightoMono_RightoMono_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::RightoMono {
enum {
  kNumParameters = 0
}; //


class RightoMono final : public SfxCoreExtensionV1
{
public:
    RightoMono();
    ~RightoMono();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
